org.apache.fop.render.pdf.pdfbox

## Class PDFBoxImageHandler

- java.lang.Object
- - org.apache.fop.render.pdf.pdfbox.AbstractPDFBoxHandler
  - - org.apache.fop.render.pdf.pdfbox.PDFBoxImageHandler

- All Implemented Interfaces:
    org.apache.fop.render.ImageHandler, org.apache.fop.render.ImageHandlerBase

      public class PDFBoxImageHandler
      extends AbstractPDFBoxHandler
      implements org.apache.fop.render.ImageHandler

  Implementation of the `ImageHandler` interfaces which can use PDFBox to parse an existing PDF file and write that to the target PDF as a Form XObject.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `log` logging instance

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFBoxImageHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPriority()`
    `java.lang.Class` | `getSupportedImageClass()`
    `org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedImageFlavors()`
    `void` | `handleImage(org.apache.fop.render.RenderingContext context, org.apache.xmlgraphics.image.loader.Image image, java.awt.Rectangle destRect)`
    `boolean` | `isCompatible(org.apache.fop.render.RenderingContext targetContext, org.apache.xmlgraphics.image.loader.Image image)`

    - ### Methods inherited from class org.apache.fop.render.pdf.pdfbox.AbstractPDFBoxHandler

      `createStreamForPDF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

      logging instance

  - ### Constructor Detail

    - #### PDFBoxImageHandler

          public PDFBoxImageHandler()

  - ### Method Detail

    - #### handleImage

          public void handleImage(org.apache.fop.render.RenderingContext context,
                                  org.apache.xmlgraphics.image.loader.Image image,
                                  java.awt.Rectangle destRect)
                           throws java.io.IOException

      Specified by:
        `handleImage` in interface `org.apache.fop.render.ImageHandler`
      Throws:
        `java.io.IOException`

    - #### isCompatible

          public boolean isCompatible(org.apache.fop.render.RenderingContext targetContext,
                                      org.apache.xmlgraphics.image.loader.Image image)

      Specified by:
        `isCompatible` in interface `org.apache.fop.render.ImageHandler`

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `org.apache.fop.render.ImageHandlerBase`

    - #### getSupportedImageClass

          public java.lang.Class getSupportedImageClass()

      Specified by:
        `getSupportedImageClass` in interface `org.apache.fop.render.ImageHandlerBase`

    - #### getSupportedImageFlavors

          public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedImageFlavors()

      Specified by:
        `getSupportedImageFlavors` in interface `org.apache.fop.render.ImageHandlerBase`

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.